Wire Docs

Connect an operator (BYO credentials)

POST
/v1/operator_connections

Authorization

bearerAuth
AuthorizationBearer <token>

API key as a bearer token (Authorization: Bearer sk_live_...).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/operator_connections" \  -H "Content-Type: application/json" \  -d '{    "operator": "string",    "credentials": {      "property1": "string",      "property2": "string"    }  }'
{
  "id": "string",
  "object": "operator_connection",
  "operator": "string",
  "mode": "byo",
  "status": "string",
  "capabilities": [
    "string"
  ],
  "created": 0
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "request_id": "string",
    "doc_url": "string",
    "operator_decline_code": "string"
  }
}